%global pypi_name onnxmltools

Name:          python-%{pypi_name}
Version:       1.13
Release:       %autorelease
Summary:       ONNXMLTools enables conversion of models to ONNX
License:       Apache-2.0
URL:           https://github.com/onnx/onnxmltools/
Source0:       %url/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

# Same as arches for onnx
ExclusiveArch: aarch64 x86_64 ppc64le
BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-setuptools

%global _description %{expand:
ONNXMLTools enables you to convert models from different machine
learning toolkits into ONNX. Currently the following toolkits
are supported:

* Tensorflow (a wrapper of tf2onnx converter)
* scikit-learn (a wrapper of skl2onnx converter)
* Apple Core ML
* Spark ML (experimental)
* LightGBM
* libsvm
* XGBoost
* H2O
* CatBoost}


%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} tests

%files -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
%autochangelog
